curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
Google
Discover Google Maps Places by CID
Use the Bright Data Scraper API to discover Google Maps places by CID. POST /datasets/v3/scrape returns structured place records as JSON.
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
Query Parameters
string
default:"gd_m8ebnr0q2qlklc02fz"
required
The dataset ID used for this request.
Must be set to
gd_m8ebnr0q2qlklc02fz to discover Google Maps places by CID.string
default:"discover_new"
required
Must be set to
discover_new.string
default:"cid"
required
Must be set to
cid.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
Was this page helpful?